/* input[type=range]: BOC  */
/* comun */
input[type="range"] {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  margin-bottom: 30px;
  background-image: -webkit-gradient(linear, right top, left top, color-stop(0.5, #4a90e2), color-stop(0.5, #b4d2f5));
  /* fix for FF unable to apply focus style bug  */
  border: 1px solid white;
  /*required for proper track sizing in FF*/
  width: 100%;
}

input[type=range]:focus {
  outline: none;
}

/* Webkit*/
input[type=range]::-webkit-slider-runnable-track {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  width: 100%;
  height: 3px;
  border: none;
}

input[type='range']::-webkit-slider-thumb {
  box-shadow: 0 3px 5px 0 rgba(0, 0, 0, 0.12);
  border: 1px solid #dfdfdf;
  height: 22px;
  width: 22px;
  border-radius: 15px;
  background: #FFFFFF;
  cursor: pointer;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  margin-top: -10px;
}

/* Mozilla */
input[type=range]::-moz-range-track {
  width: 100%;
  height: 3px;
  background: #b4d2f5;
  border: none;
}

input[type=range]::-moz-range-thumb {
  box-shadow: 0 3px 5px 0 rgba(0, 0, 0, 0.12);
  border: 1px solid #dfdfdf;
  height: 22px;
  width: 22px;
  border-radius: 15px;
  background: #FFFFFF;
  cursor: pointer;
}

input[type=range]::-moz-range-progress {
  background-color: #4a90e2;
  height: 3px;
}

input[type=range]::-moz-range-track,
input[type='range']::-moz-focus-outer {
  border: 0;
}

/* input[type=range]: EOC  */